package sample.dao;

import java.util.List;

import org.hibernate.ScrollableResults;
import org.hibernate.Session;

import sample.entity.User;

public interface UserDao {

    //SR[h̎擾
    public ScrollableResults selectAll(Session session);

    // PKłSELECT
    public User selectId(Session session, Integer id);

    // HQLłSELECT
    public ScrollableResults selectHQLUserName(Session session, String userName);

    // CriteriałSELECT
    public ScrollableResults selectCriteriaUserName(Session session, String userName);

    // Native QueryłSELECT
    public List<Object[]> selectNativeQLUserName(Session session, String userName);

    // insert
    public void insert(Session session, User user);

    // update
    public void update(Session session, User user);

    // delete
    public void delete(Session session, Integer id);

}
