package sample.dao;

import java.util.List;

import javax.persistence.EntityManager;

import sample.entity.User;

public interface UserDao {

    //SR[h̎擾
    List<User> selectAll(EntityManager entityManager);

    // PKłSELECT
    User selectId(EntityManager entityManager, Integer id);

    // JPQLłSELECT
    List<User> selectJPQLUserName(EntityManager entityManager, String userName);

    // Named QueryłSELECT
    List<User> selectNamedQLUserName(EntityManager entityManager, String userName);

    // Native QueryłSELECT
    List<User> selectNativeQLUserName(EntityManager entityManager, String userName);

    // insert
    void insert(EntityManager entityManager, User user);

    // update
    void update(EntityManager entityManager, User user);

    // delete
    void remove(EntityManager entityManager, Integer id);
}
